For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
      • GETGet custom lists
      • POSTCreate a custom list
      • GETGet a custom list
      • PATCHUpdate a custom list
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Bot Defender APICustom Lists

Get a custom list

GET
/v1/botDefender/customLists/:listId
GET
/api/v1/botDefender/customLists/:listId
$curl https://console.humansecurity.com/api/v1/botDefender/customLists/64f8b12345678901234567ab \
> -H "Authorization: Bearer <token>"
1{
2 "result": true,
3 "message": "success",
4 "content": {
5 "_id": "64f8b12345678901234567ab",
6 "account_id": "642be969c2186cae012347b8",
7 "name": "Suspicious Users Blocklist",
8 "status": "active",
9 "created_by": "admin@humansecurity.com",
10 "created_at": "2023-09-01T10:00:00Z",
11 "updated_at": "2023-09-01T15:30:00Z",
12 "updated_by": "admin@humansecurity.com",
13 "size": 150,
14 "description": "List of users flagged for suspicious activity",
15 "usedBy": [
16 {
17 "rule_id": "d668491a-f8f8-4b92-a280-c437b4411e0e",
18 "name": "Blocklist Rule",
19 "status": "active"
20 }
21 ],
22 "last_inserted_time": "2023-09-01T14:00:00Z"
23 }
24}
Retrieve the details of a custom list by its ID.
Was this page helpful?
Previous

Update a custom list

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

listIdstringRequiredformat: "^[0-9a-fA-F]{24}$"
The unique identifier of the custom list

Response

Successfully retrieved custom list
resultboolean
Indicates if the request was successful
messagestring
Response message
contentobject

Errors

401
Unauthorized Error
404
Not Found Error
500
Internal Server Error